org.h2gis.functions.spatial.clean

## Class ST_MakeValid

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.clean.ST_MakeValid

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_MakeValid
    extends org.h2gis.api.DeterministicScalarFunction

Function to make a geometry valid.

Author:
  Michaël Michaud, Erwan Bocher

### Field Summary

Fields
`static String` `REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_MakeValid()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `validGeom(com.vividsolutions.jts.geom.Geometry geometry)`
`static com.vividsolutions.jts.geom.Geometry` `validGeom(com.vividsolutions.jts.geom.Geometry geometry, boolean preserveGeomDim)`
`static com.vividsolutions.jts.geom.Geometry` `validGeom(com.vividsolutions.jts.geom.Geometry geometry, boolean preserveGeomDim, boolean preserveDuplicateCoord)`
`static com.vividsolutions.jts.geom.Geometry` `validGeom(com.vividsolutions.jts.geom.Geometry geometry, boolean preserveGeomDim, boolean preserveDuplicateCoord, boolean preserveCoordDim)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Field Detail

#### REMARKS

    public static final String REMARKS

See Also:
  Constant Field Values

### Constructor Detail

#### ST_MakeValid

    public ST_MakeValid()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### validGeom

    public static com.vividsolutions.jts.geom.Geometry validGeom(com.vividsolutions.jts.geom.Geometry geometry)
                                                          throws SQLException

Throws:
  `SQLException`

#### validGeom

    public static com.vividsolutions.jts.geom.Geometry validGeom(com.vividsolutions.jts.geom.Geometry geometry,
                                                                 boolean preserveGeomDim)
                                                          throws SQLException

Throws:
  `SQLException`

#### validGeom

    public static com.vividsolutions.jts.geom.Geometry validGeom(com.vividsolutions.jts.geom.Geometry geometry,
                                                                 boolean preserveGeomDim,
                                                                 boolean preserveDuplicateCoord)
                                                          throws SQLException

Throws:
  `SQLException`

#### validGeom

    public static com.vividsolutions.jts.geom.Geometry validGeom(com.vividsolutions.jts.geom.Geometry geometry,
                                                                 boolean preserveGeomDim,
                                                                 boolean preserveDuplicateCoord,
                                                                 boolean preserveCoordDim)
                                                          throws SQLException

Parameters:
  `geometry` -
  `preserveGeomDim` -
  `preserveDuplicateCoord` -
  `preserveCoordDim` -
Returns:
Throws:
  `SQLException`